#pragma once

#include <string>
#include <vector>
#include "image.h"
#include "vec2.h"

struct tileset {
	tileset(image const& image, vec2i tile_size);
	tileset(std::string path, vec2i tile_size);

	image& operator[](int index);

	vec2i const& tile_size();
private:
	std::vector<image> _tiles;
	vec2i _tile_size;
};